curl --request PUT \
--url https://api.synci.io/api/v1/finance/transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"financial_account_id": 123,
"amount": 123,
"currency": "<string>",
"booking_date": "2023-11-07T05:31:56Z",
"booking_datetime": "2023-11-07T05:31:56Z",
"value_date": "2023-11-07T05:31:56Z",
"value_datetime": "2023-11-07T05:31:56Z",
"booked": true,
"debtor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"creditor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"id": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"ultimate_debtor": "<string>",
"ultimate_creditor": "<string>",
"remittance_information": {
"structured": "<string>",
"structured_array": [
"<string>"
],
"unstructured": "<string>",
"unstructured_array": [
"<string>"
]
},
"additional_data_structured": "<string>",
"additional_information": "<string>",
"additional_information_structured": "<string>",
"balance_after_transaction": 123,
"codes": {
"bank_transaction_code": "<string>",
"merchant_category_code": "<string>",
"proprietary_bank_transaction_code": "<string>",
"purpose_code": "<string>"
},
"currency_exchange": {
"source_currency": "<string>",
"exchange_rate": 123,
"unit_currency": "<string>",
"target_currency": "<string>",
"quotation_date": "2023-11-07T05:31:56Z",
"contract_identification": "<string>"
},
"external_identifiers": {
"integrator_transaction_id": "<string>",
"institution_transaction_id": "<string>",
"end_to_end_id": "<string>",
"entry_reference": "<string>",
"check_id": "<string>",
"mandate_id": "<string>"
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
financial_account_id: 123,
amount: 123,
currency: '<string>',
booking_date: '2023-11-07T05:31:56Z',
booking_datetime: '2023-11-07T05:31:56Z',
value_date: '2023-11-07T05:31:56Z',
value_datetime: '2023-11-07T05:31:56Z',
booked: true,
debtor: {
name: '<string>',
bban: '<string>',
iban: '<string>',
pan: '<string>',
masked_pan: '<string>',
msisdn: '<string>',
currency: '<string>',
agent: '<string>'
},
creditor: {
name: '<string>',
bban: '<string>',
iban: '<string>',
id: '<string>',
pan: '<string>',
masked_pan: '<string>',
msisdn: '<string>',
currency: '<string>',
agent: '<string>'
},
ultimate_debtor: '<string>',
ultimate_creditor: '<string>',
remittance_information: {
structured: '<string>',
structured_array: ['<string>'],
unstructured: '<string>',
unstructured_array: ['<string>']
},
additional_data_structured: '<string>',
additional_information: '<string>',
additional_information_structured: '<string>',
balance_after_transaction: 123,
codes: {
bank_transaction_code: '<string>',
merchant_category_code: '<string>',
proprietary_bank_transaction_code: '<string>',
purpose_code: '<string>'
},
currency_exchange: {
source_currency: '<string>',
exchange_rate: 123,
unit_currency: '<string>',
target_currency: '<string>',
quotation_date: '2023-11-07T05:31:56Z',
contract_identification: '<string>'
},
external_identifiers: {
integrator_transaction_id: '<string>',
institution_transaction_id: '<string>',
end_to_end_id: '<string>',
entry_reference: '<string>',
check_id: '<string>',
mandate_id: '<string>'
}
})
};
fetch('https://api.synci.io/api/v1/finance/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/transactions/{transactionId}"
payload = {
"financial_account_id": 123,
"amount": 123,
"currency": "<string>",
"booking_date": "2023-11-07T05:31:56Z",
"booking_datetime": "2023-11-07T05:31:56Z",
"value_date": "2023-11-07T05:31:56Z",
"value_datetime": "2023-11-07T05:31:56Z",
"booked": True,
"debtor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"creditor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"id": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"ultimate_debtor": "<string>",
"ultimate_creditor": "<string>",
"remittance_information": {
"structured": "<string>",
"structured_array": ["<string>"],
"unstructured": "<string>",
"unstructured_array": ["<string>"]
},
"additional_data_structured": "<string>",
"additional_information": "<string>",
"additional_information_structured": "<string>",
"balance_after_transaction": 123,
"codes": {
"bank_transaction_code": "<string>",
"merchant_category_code": "<string>",
"proprietary_bank_transaction_code": "<string>",
"purpose_code": "<string>"
},
"currency_exchange": {
"source_currency": "<string>",
"exchange_rate": 123,
"unit_currency": "<string>",
"target_currency": "<string>",
"quotation_date": "2023-11-07T05:31:56Z",
"contract_identification": "<string>"
},
"external_identifiers": {
"integrator_transaction_id": "<string>",
"institution_transaction_id": "<string>",
"end_to_end_id": "<string>",
"entry_reference": "<string>",
"check_id": "<string>",
"mandate_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'financial_account_id' => 123,
'amount' => 123,
'currency' => '<string>',
'booking_date' => '2023-11-07T05:31:56Z',
'booking_datetime' => '2023-11-07T05:31:56Z',
'value_date' => '2023-11-07T05:31:56Z',
'value_datetime' => '2023-11-07T05:31:56Z',
'booked' => true,
'debtor' => [
'name' => '<string>',
'bban' => '<string>',
'iban' => '<string>',
'pan' => '<string>',
'masked_pan' => '<string>',
'msisdn' => '<string>',
'currency' => '<string>',
'agent' => '<string>'
],
'creditor' => [
'name' => '<string>',
'bban' => '<string>',
'iban' => '<string>',
'id' => '<string>',
'pan' => '<string>',
'masked_pan' => '<string>',
'msisdn' => '<string>',
'currency' => '<string>',
'agent' => '<string>'
],
'ultimate_debtor' => '<string>',
'ultimate_creditor' => '<string>',
'remittance_information' => [
'structured' => '<string>',
'structured_array' => [
'<string>'
],
'unstructured' => '<string>',
'unstructured_array' => [
'<string>'
]
],
'additional_data_structured' => '<string>',
'additional_information' => '<string>',
'additional_information_structured' => '<string>',
'balance_after_transaction' => 123,
'codes' => [
'bank_transaction_code' => '<string>',
'merchant_category_code' => '<string>',
'proprietary_bank_transaction_code' => '<string>',
'purpose_code' => '<string>'
],
'currency_exchange' => [
'source_currency' => '<string>',
'exchange_rate' => 123,
'unit_currency' => '<string>',
'target_currency' => '<string>',
'quotation_date' => '2023-11-07T05:31:56Z',
'contract_identification' => '<string>'
],
'external_identifiers' => [
'integrator_transaction_id' => '<string>',
'institution_transaction_id' => '<string>',
'end_to_end_id' => '<string>',
'entry_reference' => '<string>',
'check_id' => '<string>',
'mandate_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/transactions/{transactionId}"
payload := strings.NewReader("{\n \"financial_account_id\": 123,\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"booking_date\": \"2023-11-07T05:31:56Z\",\n \"booking_datetime\": \"2023-11-07T05:31:56Z\",\n \"value_date\": \"2023-11-07T05:31:56Z\",\n \"value_datetime\": \"2023-11-07T05:31:56Z\",\n \"booked\": true,\n \"debtor\": {\n \"name\": \"<string>\",\n \"bban\": \"<string>\",\n \"iban\": \"<string>\",\n \"pan\": \"<string>\",\n \"masked_pan\": \"<string>\",\n \"msisdn\": \"<string>\",\n \"currency\": \"<string>\",\n \"agent\": \"<string>\"\n },\n \"creditor\": {\n \"name\": \"<string>\",\n \"bban\": \"<string>\",\n \"iban\": \"<string>\",\n \"id\": \"<string>\",\n \"pan\": \"<string>\",\n \"masked_pan\": \"<string>\",\n \"msisdn\": \"<string>\",\n \"currency\": \"<string>\",\n \"agent\": \"<string>\"\n },\n \"ultimate_debtor\": \"<string>\",\n \"ultimate_creditor\": \"<string>\",\n \"remittance_information\": {\n \"structured\": \"<string>\",\n \"structured_array\": [\n \"<string>\"\n ],\n \"unstructured\": \"<string>\",\n \"unstructured_array\": [\n \"<string>\"\n ]\n },\n \"additional_data_structured\": \"<string>\",\n \"additional_information\": \"<string>\",\n \"additional_information_structured\": \"<string>\",\n \"balance_after_transaction\": 123,\n \"codes\": {\n \"bank_transaction_code\": \"<string>\",\n \"merchant_category_code\": \"<string>\",\n \"proprietary_bank_transaction_code\": \"<string>\",\n \"purpose_code\": \"<string>\"\n },\n \"currency_exchange\": {\n \"source_currency\": \"<string>\",\n \"exchange_rate\": 123,\n \"unit_currency\": \"<string>\",\n \"target_currency\": \"<string>\",\n \"quotation_date\": \"2023-11-07T05:31:56Z\",\n \"contract_identification\": \"<string>\"\n },\n \"external_identifiers\": {\n \"integrator_transaction_id\": \"<string>\",\n \"institution_transaction_id\": \"<string>\",\n \"end_to_end_id\": \"<string>\",\n \"entry_reference\": \"<string>\",\n \"check_id\": \"<string>\",\n \"mandate_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Transaction updated.",
"data": {
"id": "<string>",
"financial_account_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"booked": "<string>",
"mapped_fields": "<unknown>",
"booking_date": "<string>",
"booking_datetime": "<string>",
"value_date": "<string>",
"value_datetime": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": {
"id": "<string>",
"enabled": "<string>",
"integrator": "<string>",
"account_category": "<string>",
"raw_type": "<string>",
"cash_balance": {
"amount": "<string>",
"currency": "<string>"
},
"total_balance": {
"amount": "<string>",
"currency": "<string>"
},
"meta": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"currency": "<string>",
"product_name": "<string>",
"cash_account_type": "<string>",
"account_usage": "<string>",
"linked_accounts": "<string>",
"details": "<string>",
"details_last_synced_at": "<string>",
"transactions_last_synced_at": "<string>",
"transactions_backfill_cursor": "<string>",
"balances_last_synced_at": "<string>",
"balance": {
"available": "<string>",
"cleared": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_connection_id": "<string>",
"financial_connection": {
"id": "<string>",
"institution_id": "<string>",
"region": "<string>",
"enabled": "<string>",
"status": "<string>",
"status_message": "<string>",
"sync_balances": "<string>",
"supports_reauthorization": true,
"supports_manage": true,
"max_historical_days": "<string>",
"access_valid_for_days": "<string>",
"consent_expires_at": "<string>",
"reference": "<string>",
"accounts_last_synced_at": "<string>",
"setup_pending": true,
"setup_renewal": "<string>",
"activated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"institution": {
"id": "<string>",
"integrator": "<string>",
"region": "<string>",
"country": "<string>",
"name": "<string>",
"bic": "<string>",
"external_id": "<string>",
"logo": "<string>",
"supported": "<string>",
"supports_pending_transactions": "<string>",
"supports_card_accounts": "<string>",
"max_historical_days": "<string>",
"max_access_valid_for_days": "<string>",
"supported_products": "<string>",
"category": "<string>",
"updated_at": "<string>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"financial_accounts": "<array>",
"financial_accounts_count": "<string>"
},
"config": {
"map_fields": {
"payee": "<string>",
"description": "<string>",
"date": "<string>"
},
"enrichment": {
"enabled": "<string>",
"provider": "<string>",
"country": "<string>"
},
"sync_start_date": "2025-01-01",
"sync_auto": "<string>",
"sync_pending_transactions": "<string>",
"pending_settlement_matching": "<string>",
"pending_settlement_max_days": "<string>",
"fuzzy_counterparty_matching": "<string>",
"fuzzy_counterparty_min_chars": "<string>",
"sync_balances": "<string>",
"sync_frequency_in_minutes": "<string>",
"fields_for_duplicate_filtering": [
"<string>"
]
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"account_number_masked": "<string>",
"bban": "<string>",
"scan": "<string>",
"iban": "<string>",
"bic": "<string>",
"owner_name": "<string>",
"owner_address": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>",
"rules": [
{
"order": 123,
"rule": {}
}
],
"transfer_links": [
{
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": "<unknown>",
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
}
],
"transfer_links_count": "<string>"
},
"failed_transfers": "<string>",
"attempted_transfers": "<string>",
"trade": {
"activity_type": "<string>",
"units": "<string>",
"price_per_unit": 123,
"fees": "<string>",
"fx_rate": "<string>",
"external_reference_id": "<string>",
"instrument": {
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"type": "<string>",
"figi_code": "<string>"
},
"option": {
"ticker": "<string>",
"type": "<string>",
"strike_price": "<string>",
"expiration_date": "<string>",
"underlying_symbol": "<string>"
}
},
"enriched": {
"provider": "<string>",
"counterparty": {
"name": "<string>",
"logo_url": "<string>",
"website": "<string>",
"mccs": "<string>"
},
"intermediary": {
"name": "<string>",
"logo_url": "<string>",
"website": "<string>",
"mccs": "<string>"
},
"category_general": "<string>",
"location": {
"raw_address": "<string>",
"google_maps_url": "<string>",
"apple_maps_url": "<string>"
},
"certainty_score": "<string>",
"is_subscription": "<string>",
"is_personal": "<string>"
},
"debtor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"creditor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"id": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"ultimate_debtor": "<string>",
"ultimate_creditor": "<string>",
"remittance_information": {
"structured": "<string>",
"structured_array": "<string>",
"unstructured": "<string>",
"unstructured_array": "<string>"
},
"additional_data_structured": "<string>",
"additional_information": "<string>",
"additional_information_structured": "<string>",
"balance_after_transaction": "<string>",
"codes": {
"bank_transaction_code": "<string>",
"merchant_category_code": "<string>",
"proprietary_bank_transaction_code": "<string>",
"purpose_code": "<string>"
},
"currency_exchange": {
"source_currency": "<string>",
"exchange_rate": "<string>",
"unit_currency": "<string>",
"target_currency": "<string>",
"quotation_date": "<string>",
"contract_identification": "<string>"
},
"external_identifiers": {
"institution_transaction_id": "<string>",
"integrator_transaction_id": "<string>",
"end_to_end_id": "<string>",
"entry_reference": "<string>",
"check_id": "<string>",
"mandate_id": "<string>"
},
"transfer_logs": [
{
"id": "<string>",
"transfer_link_id": "<string>",
"transaction_id": "<string>",
"destination_transaction_id": "<string>",
"status": "<string>",
"message": "<string>",
"undone_at": "<string>",
"undone_log_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"transfer_link": {
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": "<unknown>",
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
},
"transaction": "<unknown>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update transaction
For most users, this endpoint is not needed. Transactions are normally synced (and updated) automatically once a financial connection is established. We do not recommend editing transactions manually unless you have a good reason, as this can lead to inconsistencies in your data.
curl --request PUT \
--url https://api.synci.io/api/v1/finance/transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"financial_account_id": 123,
"amount": 123,
"currency": "<string>",
"booking_date": "2023-11-07T05:31:56Z",
"booking_datetime": "2023-11-07T05:31:56Z",
"value_date": "2023-11-07T05:31:56Z",
"value_datetime": "2023-11-07T05:31:56Z",
"booked": true,
"debtor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"creditor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"id": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"ultimate_debtor": "<string>",
"ultimate_creditor": "<string>",
"remittance_information": {
"structured": "<string>",
"structured_array": [
"<string>"
],
"unstructured": "<string>",
"unstructured_array": [
"<string>"
]
},
"additional_data_structured": "<string>",
"additional_information": "<string>",
"additional_information_structured": "<string>",
"balance_after_transaction": 123,
"codes": {
"bank_transaction_code": "<string>",
"merchant_category_code": "<string>",
"proprietary_bank_transaction_code": "<string>",
"purpose_code": "<string>"
},
"currency_exchange": {
"source_currency": "<string>",
"exchange_rate": 123,
"unit_currency": "<string>",
"target_currency": "<string>",
"quotation_date": "2023-11-07T05:31:56Z",
"contract_identification": "<string>"
},
"external_identifiers": {
"integrator_transaction_id": "<string>",
"institution_transaction_id": "<string>",
"end_to_end_id": "<string>",
"entry_reference": "<string>",
"check_id": "<string>",
"mandate_id": "<string>"
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
financial_account_id: 123,
amount: 123,
currency: '<string>',
booking_date: '2023-11-07T05:31:56Z',
booking_datetime: '2023-11-07T05:31:56Z',
value_date: '2023-11-07T05:31:56Z',
value_datetime: '2023-11-07T05:31:56Z',
booked: true,
debtor: {
name: '<string>',
bban: '<string>',
iban: '<string>',
pan: '<string>',
masked_pan: '<string>',
msisdn: '<string>',
currency: '<string>',
agent: '<string>'
},
creditor: {
name: '<string>',
bban: '<string>',
iban: '<string>',
id: '<string>',
pan: '<string>',
masked_pan: '<string>',
msisdn: '<string>',
currency: '<string>',
agent: '<string>'
},
ultimate_debtor: '<string>',
ultimate_creditor: '<string>',
remittance_information: {
structured: '<string>',
structured_array: ['<string>'],
unstructured: '<string>',
unstructured_array: ['<string>']
},
additional_data_structured: '<string>',
additional_information: '<string>',
additional_information_structured: '<string>',
balance_after_transaction: 123,
codes: {
bank_transaction_code: '<string>',
merchant_category_code: '<string>',
proprietary_bank_transaction_code: '<string>',
purpose_code: '<string>'
},
currency_exchange: {
source_currency: '<string>',
exchange_rate: 123,
unit_currency: '<string>',
target_currency: '<string>',
quotation_date: '2023-11-07T05:31:56Z',
contract_identification: '<string>'
},
external_identifiers: {
integrator_transaction_id: '<string>',
institution_transaction_id: '<string>',
end_to_end_id: '<string>',
entry_reference: '<string>',
check_id: '<string>',
mandate_id: '<string>'
}
})
};
fetch('https://api.synci.io/api/v1/finance/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/transactions/{transactionId}"
payload = {
"financial_account_id": 123,
"amount": 123,
"currency": "<string>",
"booking_date": "2023-11-07T05:31:56Z",
"booking_datetime": "2023-11-07T05:31:56Z",
"value_date": "2023-11-07T05:31:56Z",
"value_datetime": "2023-11-07T05:31:56Z",
"booked": True,
"debtor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"creditor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"id": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"ultimate_debtor": "<string>",
"ultimate_creditor": "<string>",
"remittance_information": {
"structured": "<string>",
"structured_array": ["<string>"],
"unstructured": "<string>",
"unstructured_array": ["<string>"]
},
"additional_data_structured": "<string>",
"additional_information": "<string>",
"additional_information_structured": "<string>",
"balance_after_transaction": 123,
"codes": {
"bank_transaction_code": "<string>",
"merchant_category_code": "<string>",
"proprietary_bank_transaction_code": "<string>",
"purpose_code": "<string>"
},
"currency_exchange": {
"source_currency": "<string>",
"exchange_rate": 123,
"unit_currency": "<string>",
"target_currency": "<string>",
"quotation_date": "2023-11-07T05:31:56Z",
"contract_identification": "<string>"
},
"external_identifiers": {
"integrator_transaction_id": "<string>",
"institution_transaction_id": "<string>",
"end_to_end_id": "<string>",
"entry_reference": "<string>",
"check_id": "<string>",
"mandate_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'financial_account_id' => 123,
'amount' => 123,
'currency' => '<string>',
'booking_date' => '2023-11-07T05:31:56Z',
'booking_datetime' => '2023-11-07T05:31:56Z',
'value_date' => '2023-11-07T05:31:56Z',
'value_datetime' => '2023-11-07T05:31:56Z',
'booked' => true,
'debtor' => [
'name' => '<string>',
'bban' => '<string>',
'iban' => '<string>',
'pan' => '<string>',
'masked_pan' => '<string>',
'msisdn' => '<string>',
'currency' => '<string>',
'agent' => '<string>'
],
'creditor' => [
'name' => '<string>',
'bban' => '<string>',
'iban' => '<string>',
'id' => '<string>',
'pan' => '<string>',
'masked_pan' => '<string>',
'msisdn' => '<string>',
'currency' => '<string>',
'agent' => '<string>'
],
'ultimate_debtor' => '<string>',
'ultimate_creditor' => '<string>',
'remittance_information' => [
'structured' => '<string>',
'structured_array' => [
'<string>'
],
'unstructured' => '<string>',
'unstructured_array' => [
'<string>'
]
],
'additional_data_structured' => '<string>',
'additional_information' => '<string>',
'additional_information_structured' => '<string>',
'balance_after_transaction' => 123,
'codes' => [
'bank_transaction_code' => '<string>',
'merchant_category_code' => '<string>',
'proprietary_bank_transaction_code' => '<string>',
'purpose_code' => '<string>'
],
'currency_exchange' => [
'source_currency' => '<string>',
'exchange_rate' => 123,
'unit_currency' => '<string>',
'target_currency' => '<string>',
'quotation_date' => '2023-11-07T05:31:56Z',
'contract_identification' => '<string>'
],
'external_identifiers' => [
'integrator_transaction_id' => '<string>',
'institution_transaction_id' => '<string>',
'end_to_end_id' => '<string>',
'entry_reference' => '<string>',
'check_id' => '<string>',
'mandate_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/transactions/{transactionId}"
payload := strings.NewReader("{\n \"financial_account_id\": 123,\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"booking_date\": \"2023-11-07T05:31:56Z\",\n \"booking_datetime\": \"2023-11-07T05:31:56Z\",\n \"value_date\": \"2023-11-07T05:31:56Z\",\n \"value_datetime\": \"2023-11-07T05:31:56Z\",\n \"booked\": true,\n \"debtor\": {\n \"name\": \"<string>\",\n \"bban\": \"<string>\",\n \"iban\": \"<string>\",\n \"pan\": \"<string>\",\n \"masked_pan\": \"<string>\",\n \"msisdn\": \"<string>\",\n \"currency\": \"<string>\",\n \"agent\": \"<string>\"\n },\n \"creditor\": {\n \"name\": \"<string>\",\n \"bban\": \"<string>\",\n \"iban\": \"<string>\",\n \"id\": \"<string>\",\n \"pan\": \"<string>\",\n \"masked_pan\": \"<string>\",\n \"msisdn\": \"<string>\",\n \"currency\": \"<string>\",\n \"agent\": \"<string>\"\n },\n \"ultimate_debtor\": \"<string>\",\n \"ultimate_creditor\": \"<string>\",\n \"remittance_information\": {\n \"structured\": \"<string>\",\n \"structured_array\": [\n \"<string>\"\n ],\n \"unstructured\": \"<string>\",\n \"unstructured_array\": [\n \"<string>\"\n ]\n },\n \"additional_data_structured\": \"<string>\",\n \"additional_information\": \"<string>\",\n \"additional_information_structured\": \"<string>\",\n \"balance_after_transaction\": 123,\n \"codes\": {\n \"bank_transaction_code\": \"<string>\",\n \"merchant_category_code\": \"<string>\",\n \"proprietary_bank_transaction_code\": \"<string>\",\n \"purpose_code\": \"<string>\"\n },\n \"currency_exchange\": {\n \"source_currency\": \"<string>\",\n \"exchange_rate\": 123,\n \"unit_currency\": \"<string>\",\n \"target_currency\": \"<string>\",\n \"quotation_date\": \"2023-11-07T05:31:56Z\",\n \"contract_identification\": \"<string>\"\n },\n \"external_identifiers\": {\n \"integrator_transaction_id\": \"<string>\",\n \"institution_transaction_id\": \"<string>\",\n \"end_to_end_id\": \"<string>\",\n \"entry_reference\": \"<string>\",\n \"check_id\": \"<string>\",\n \"mandate_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Transaction updated.",
"data": {
"id": "<string>",
"financial_account_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"booked": "<string>",
"mapped_fields": "<unknown>",
"booking_date": "<string>",
"booking_datetime": "<string>",
"value_date": "<string>",
"value_datetime": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": {
"id": "<string>",
"enabled": "<string>",
"integrator": "<string>",
"account_category": "<string>",
"raw_type": "<string>",
"cash_balance": {
"amount": "<string>",
"currency": "<string>"
},
"total_balance": {
"amount": "<string>",
"currency": "<string>"
},
"meta": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"currency": "<string>",
"product_name": "<string>",
"cash_account_type": "<string>",
"account_usage": "<string>",
"linked_accounts": "<string>",
"details": "<string>",
"details_last_synced_at": "<string>",
"transactions_last_synced_at": "<string>",
"transactions_backfill_cursor": "<string>",
"balances_last_synced_at": "<string>",
"balance": {
"available": "<string>",
"cleared": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_connection_id": "<string>",
"financial_connection": {
"id": "<string>",
"institution_id": "<string>",
"region": "<string>",
"enabled": "<string>",
"status": "<string>",
"status_message": "<string>",
"sync_balances": "<string>",
"supports_reauthorization": true,
"supports_manage": true,
"max_historical_days": "<string>",
"access_valid_for_days": "<string>",
"consent_expires_at": "<string>",
"reference": "<string>",
"accounts_last_synced_at": "<string>",
"setup_pending": true,
"setup_renewal": "<string>",
"activated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"institution": {
"id": "<string>",
"integrator": "<string>",
"region": "<string>",
"country": "<string>",
"name": "<string>",
"bic": "<string>",
"external_id": "<string>",
"logo": "<string>",
"supported": "<string>",
"supports_pending_transactions": "<string>",
"supports_card_accounts": "<string>",
"max_historical_days": "<string>",
"max_access_valid_for_days": "<string>",
"supported_products": "<string>",
"category": "<string>",
"updated_at": "<string>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"financial_accounts": "<array>",
"financial_accounts_count": "<string>"
},
"config": {
"map_fields": {
"payee": "<string>",
"description": "<string>",
"date": "<string>"
},
"enrichment": {
"enabled": "<string>",
"provider": "<string>",
"country": "<string>"
},
"sync_start_date": "2025-01-01",
"sync_auto": "<string>",
"sync_pending_transactions": "<string>",
"pending_settlement_matching": "<string>",
"pending_settlement_max_days": "<string>",
"fuzzy_counterparty_matching": "<string>",
"fuzzy_counterparty_min_chars": "<string>",
"sync_balances": "<string>",
"sync_frequency_in_minutes": "<string>",
"fields_for_duplicate_filtering": [
"<string>"
]
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"account_number_masked": "<string>",
"bban": "<string>",
"scan": "<string>",
"iban": "<string>",
"bic": "<string>",
"owner_name": "<string>",
"owner_address": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>",
"rules": [
{
"order": 123,
"rule": {}
}
],
"transfer_links": [
{
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": "<unknown>",
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
}
],
"transfer_links_count": "<string>"
},
"failed_transfers": "<string>",
"attempted_transfers": "<string>",
"trade": {
"activity_type": "<string>",
"units": "<string>",
"price_per_unit": 123,
"fees": "<string>",
"fx_rate": "<string>",
"external_reference_id": "<string>",
"instrument": {
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"type": "<string>",
"figi_code": "<string>"
},
"option": {
"ticker": "<string>",
"type": "<string>",
"strike_price": "<string>",
"expiration_date": "<string>",
"underlying_symbol": "<string>"
}
},
"enriched": {
"provider": "<string>",
"counterparty": {
"name": "<string>",
"logo_url": "<string>",
"website": "<string>",
"mccs": "<string>"
},
"intermediary": {
"name": "<string>",
"logo_url": "<string>",
"website": "<string>",
"mccs": "<string>"
},
"category_general": "<string>",
"location": {
"raw_address": "<string>",
"google_maps_url": "<string>",
"apple_maps_url": "<string>"
},
"certainty_score": "<string>",
"is_subscription": "<string>",
"is_personal": "<string>"
},
"debtor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"creditor": {
"name": "<string>",
"bban": "<string>",
"iban": "<string>",
"id": "<string>",
"pan": "<string>",
"masked_pan": "<string>",
"msisdn": "<string>",
"currency": "<string>",
"agent": "<string>"
},
"ultimate_debtor": "<string>",
"ultimate_creditor": "<string>",
"remittance_information": {
"structured": "<string>",
"structured_array": "<string>",
"unstructured": "<string>",
"unstructured_array": "<string>"
},
"additional_data_structured": "<string>",
"additional_information": "<string>",
"additional_information_structured": "<string>",
"balance_after_transaction": "<string>",
"codes": {
"bank_transaction_code": "<string>",
"merchant_category_code": "<string>",
"proprietary_bank_transaction_code": "<string>",
"purpose_code": "<string>"
},
"currency_exchange": {
"source_currency": "<string>",
"exchange_rate": "<string>",
"unit_currency": "<string>",
"target_currency": "<string>",
"quotation_date": "<string>",
"contract_identification": "<string>"
},
"external_identifiers": {
"institution_transaction_id": "<string>",
"integrator_transaction_id": "<string>",
"end_to_end_id": "<string>",
"entry_reference": "<string>",
"check_id": "<string>",
"mandate_id": "<string>"
},
"transfer_logs": [
{
"id": "<string>",
"transfer_link_id": "<string>",
"transaction_id": "<string>",
"destination_transaction_id": "<string>",
"status": "<string>",
"message": "<string>",
"undone_at": "<string>",
"undone_log_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"transfer_link": {
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": "<unknown>",
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
},
"transaction": "<unknown>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The transaction ID
Body
The ID of the financial account this transaction belongs to. Scoped to the caller's own accounts so a transaction can't be reassigned into another user's account.
The amount of the transaction as billed to the account.
ISO 4217 currency code.
3^[A-Z]{3}$The date when an entry is posted to an account on the financial institutions books. Booking date is required if value date is not provided.
The date and time when an entry is posted to an account on the financial institutions books.
The date at which assets become available to the account owner in case of a credit. Value date is required if booking date is not provided.
The date and time at which assets become available to the account owner in case of a credit.
Whether the transaction is booked (cleared) or not. If false, the transaction is pending.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
An umbrella datapoint used for information that is outside of Berlin Group specification, such as bank- or country-specific fields.
Might be used by the financial institution to transport additional transaction related information.
The account balance after this transaction. Recommended balance type is INTERIM_BOOKED.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes